{
  "name": "radical-dreamers-fe",
  "version": "0.0.1-beta",
  "description": "一个普普通通的选课",
  "productName": "RadicalDreamers",
  "author": "lensfrex <lensferno@outlook.com>",
  "private": true,
  "scripts": {
    "lint": "eslint --ext .js,.vue ./",
    "format": "prettier --write \"**/*.{js,vue,scss,html,md,json}\" --ignore-path .gitignore",
    "test": "echo \"No test specified\" && exit 0",
    "dev": "quasar dev",
    "build": "quasar build"
  },
  "dependencies": {
    "@quasar/extras": "^1.16.6",
    "@quasar/quasar-ui-qcalendar": "^4.0.0-beta.16",
    "axios": "^1.5.0",
    "axios-retry": "^3.7.0",
    "dayjs": "^1.11.9",
    "isnumber": "^1.0.0",
    "pinia": "^2.1.6",
    "pinia-plugin-persistedstate": "^3.2.1",
    "qs": "^6.11.2",
    "quasar": "^2.12.6",
    "stylus": "^0.60.0",
    "vue": "^3.4.30",
    "vue-router": "^4.2.4",
    "xlsx": "https://cdn.sheetjs.com/xlsx-0.20.0/xlsx-0.20.0.tgz"
  },
  "devDependencies": {
    "@quasar/app-vite": "^1.5.0",
    "@quasar/quasar-app-extension-qcalendar": "^4.0.0-beta.16",
    "@quasar/vite-plugin": "^1.4.1",
    "autoprefixer": "^10.4.15",
    "eslint": "^8.48.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-vue": "^9.17.0",
    "postcss": "^8.4.29",
    "prettier": "^3.0.3",
    "tailwindcss": "^3.3.3",
    "workbox-build": "^7.0.0",
    "workbox-cacheable-response": "^7.0.0",
    "workbox-core": "^7.0.0",
    "workbox-expiration": "^7.0.0",
    "workbox-precaching": "^7.0.0",
    "workbox-routing": "^7.0.0",
    "workbox-strategies": "^7.0.0"
  },
  "engines": {
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  },
  "packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}

